## org.gnu.gtk
Class MenuItem

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.Item
                              org.gnu.gtk.MenuItem

Direct Known Subclasses:
  CheckMenuItem, ImageMenuItem, SeparatorMenuItem, TearoffMenuItem

public class MenuItem
extends Item

The MenuItem widget and derived widgets are the only valid children for Menus. Their function is to correctly handle highlighting, alignment, events, and submenus.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`MenuItem()` Construct a new menu item.
`MenuItem(Handle handle)` Create a new MenuItem with a handle to a native resource returned from a call to the native libraries.
`MenuItem(java.lang.String label, boolean hasMnemonic)` Construct a new menu item with the provided label.

Method Summary
`void` `addListener(MenuItemListener listener)` Register an object to receive event notification.
`void` `emitActivate()` Emits the "activate" signal on this MenuItem.
`void` `emitDeselect()` Emits the "deselect" signal on this MenuItem.
`protected void` `fireMenuItemEvent(MenuItemEvent event)`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_menu_item_activate(Handle menu_item)`
`protected static void` `gtk_menu_item_deselect(Handle menu_item)`
`protected static boolean` `gtk_menu_item_get_right_justified(Handle menu_item)`
`protected static Handle` `gtk_menu_item_get_submenu(Handle menu_item)`
`protected static int` `gtk_menu_item_get_type()`
`protected static Handle` `gtk_menu_item_new_with_label(java.lang.String label)`
`protected static Handle` `gtk_menu_item_new_with_mnemonic(java.lang.String label)`
`protected static Handle` `gtk_menu_item_new()`
`protected static void` `gtk_menu_item_remove_submenu(Handle menu_item)`
`protected static void` `gtk_menu_item_select(Handle menu_item)`
`protected static void` `gtk_menu_item_set_accel_path(Handle menu_item, java.lang.String accelPath)`
`protected static void` `gtk_menu_item_set_right_justified(Handle menu_item, boolean rightJustified)`
`protected static void` `gtk_menu_item_set_submenu(Handle menu_item, Handle submenu)`
`protected static void` `gtk_menu_item_toggle_size_allocate(Handle menu_item, int allocation)`
`protected static void` `gtk_menu_item_toggle_size_request(Handle menu_item, int[] requisition)`
`void` `removeListener(MenuItemListener listener)` Unregister an object that was receiving menuitem event notification.
`void` `removeSubmenu()` Removes the widget's submenu.
`void` `setLeftJustified()` MenuItem's are left justified by default.
`void` `setRightJustified()` Sets whether the menu item appears to the right side of the menu bar.
`void` `setSubmenu(Menu submenu)` Sets the submenu, or changes it.

Methods inherited from class org.gnu.gtk.Item
`addListener, deselect, fireItemEvent, gtk_item_deselect, gtk_item_get_type, gtk_item_select, gtk_item_toggle, removeListener, select, toggle`

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuItem

    public MenuItem()

  Construct a new menu item.

### MenuItem

    public MenuItem(Handle handle)

  Create a new MenuItem with a handle to a native resource returned from a call to the native libraries.

Parameters:
  `handle` - The handle that represents a pointer to a native resource.

### MenuItem

    public MenuItem(java.lang.String label,
                    boolean hasMnemonic)

  Construct a new menu item with the provided label.

Parameters:
  `label` - The label to display in the menu item.
  `hasMnemonic` - Indicates if the provided string contains mnemonics

Method Detail

### setRightJustified

    public void setRightJustified()

  Sets whether the menu item appears to the right side of the menu bar. This was traditionally done for the Help menu, but is now considered a bad idea. (If the widget layout is reversed for a right to left language like Hebrew or Arabic, right-justified menu items appear at the left).

### setLeftJustified

    public void setLeftJustified()

  MenuItem's are left justified by default. Use this method to change a MenuItem from right justified back to left justified.

### setSubmenu

    public void setSubmenu(Menu submenu)

  Sets the submenu, or changes it.

  Parameters:
    `submenu` - The submenu.

### removeSubmenu

    public void removeSubmenu()

  Removes the widget's submenu.

### emitDeselect

    public void emitDeselect()

  Emits the "deselect" signal on this MenuItem.

### emitActivate

    public void emitActivate()

  Emits the "activate" signal on this MenuItem.

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Item`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Item`

### addListener

    public void addListener(MenuItemListener listener)

  Register an object to receive event notification.

  Parameters:
    `listener` - The object that has implemented the MenuItemListener interface that is to receive the menu item events.

### removeListener

    public void removeListener(MenuItemListener listener)

  Unregister an object that was receiving menuitem event notification.

  Parameters:
    `listener` - The object that is to no longer receive menuitem events.

### fireMenuItemEvent

    protected void fireMenuItemEvent(MenuItemEvent event)

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_menu_item_get_type

    protected static final int gtk_menu_item_get_type()

### gtk_menu_item_new

    protected static final Handle gtk_menu_item_new()

### gtk_menu_item_new_with_label

    protected static final Handle gtk_menu_item_new_with_label(java.lang.String label)

### gtk_menu_item_new_with_mnemonic

    protected static final Handle gtk_menu_item_new_with_mnemonic(java.lang.String label)

### gtk_menu_item_set_submenu

    protected static final void gtk_menu_item_set_submenu(Handle menu_item,
                                                          Handle submenu)

### gtk_menu_item_get_submenu

    protected static final Handle gtk_menu_item_get_submenu(Handle menu_item)

### gtk_menu_item_remove_submenu

    protected static final void gtk_menu_item_remove_submenu(Handle menu_item)

### gtk_menu_item_select

    protected static final void gtk_menu_item_select(Handle menu_item)

### gtk_menu_item_deselect

    protected static final void gtk_menu_item_deselect(Handle menu_item)

### gtk_menu_item_activate

    protected static final void gtk_menu_item_activate(Handle menu_item)

### gtk_menu_item_toggle_size_request

    protected static final void gtk_menu_item_toggle_size_request(Handle menu_item,
                                                                  int[] requisition)

### gtk_menu_item_toggle_size_allocate

    protected static final void gtk_menu_item_toggle_size_allocate(Handle menu_item,
                                                                   int allocation)

### gtk_menu_item_set_right_justified

    protected static final void gtk_menu_item_set_right_justified(Handle menu_item,
                                                                  boolean rightJustified)

### gtk_menu_item_get_right_justified

    protected static final boolean gtk_menu_item_get_right_justified(Handle menu_item)

### gtk_menu_item_set_accel_path

    protected static final void gtk_menu_item_set_accel_path(Handle menu_item,
                                                             java.lang.String accelPath)